[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[libvirt] [PATCH 1/3] Ensure autogen.sh exists if bootstrap fails



From: "Daniel P. Berrange" <berrange redhat com>

If any of the bootstrap tasks (autoconf/automake/etc) failed,
autogen.sh carried on running any pre-existing configure anyway.
Use 'set -e' to ensure autogen.sh immediately exists on error.
---
 autogen.sh | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/autogen.sh b/autogen.sh
index 13df98b..72f1e7a 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,6 +1,8 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
 
+set -e
+
 srcdir=`dirname "$0"`
 test -z "$srcdir" && srcdir=.
 
-- 
1.7.11.4


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]